import service  from '@/utils/request'

export function UploadAttachment(data, config) {
    return service({
        url: '/api/lmg/Common/UploadAttachment',
        method: 'post',
        data,
        headers: {
            'Content-Type': 'multipart/form-data',
            'Custom-Header': 'CustomValue',
        },
        ...config
    })
}

export function UploadMultipleAttachments(data, config) {
    return service({
        url: '/api/lmg/Common/UploadMultipleAttachments',
        method: 'post',
        data,
        headers: {
            'Content-Type': 'multipart/form-data',
            'Custom-Header': 'CustomValue',
        },
        ...config
    })
}

export function GetAttachmentById(params) {
    return service({
        url: '/api/lmg/Common/GetAttachmentById',
        method: 'get',
        params
    })
}

export function DeleteAttachment(params) {
    return service({
        url: '/api/lmg/Common/DeleteAttachment',
        method: 'delete',
        params
    })
}


export function GetStringObjectId(params) {
    return service({
        url: '/api/lmg/Common/GetStringObjectId',
        method: 'get',
        params
    })
}

export function MigrationFile(params) {
    return service({
        url: '/api/lmg/Common/MigrationFile',
        method: 'put',
        params
    })
}

export function GetProjectInfoList(params) {
    return service({
        url: '/api/lmg/Common/GetProjectInfoList',
        method: 'get',
        params
    })
}

export function GetSectionList(params) {
    return service({
        url: '/api/lmg/Common/GetSectionList',
        method: 'get',
        params
    })
}

export function GetLaborTeamPageList(params) {
    return service({
        url: '/api/lmg/Common/GetLaborTeamPageList',
        method: 'get',
        params
    })
}

export function GetWorkerGroupPageList(params) {
    return service({
        url: '/api/lmg/Common/GetWorkerGroupPageList',
        method: 'get',
        params
    })
}

export function GetAttacBusinessId(params) {
    return service({
        url: '/api/lmg/Common/GetAttacBusinessId',
        method: 'get',
        params
    })
}

export function GetLoginResourceTree(params) {
    return service({
        url: '/api/lmg/Common/GetLoginResourceTree',
        method: 'get',
        params
    })
}